### Enumeration

# Gimp RepeatMode

unstable since: 3.0

#### Declaration

    enum Gimp.RepeatMode

#### Description [src]

Repeat modes for example for gradients.

Available since: 3.0

#### Members

`GIMP_REPEAT_NONE`

  None (extend)

  - Value: `0`
  - Nickname: `none`
  - Available since: 3.0
`GIMP_REPEAT_SAWTOOTH`

  Sawtooth wave.

  - Value: `1`
  - Nickname: `sawtooth`
  - Available since: 3.0
`GIMP_REPEAT_TRIANGULAR`

  Triangular wave.

  - Value: `2`
  - Nickname: `triangular`
  - Available since: 3.0
`GIMP_REPEAT_TRUNCATE`

  Truncate.

  - Value: `3`
  - Nickname: `truncate`
  - Available since: 3.0